package trains.model;

import java.io.Serializable;
import java.util.*;

public class City implements Serializable
{

	private static final long serialVersionUID = 1L;
	private String name;
	private SortedSet<Station> stations;

	public City(String name, SortedSet<Station> s)
	{
		this.name = name;
		this.stations = s;
	}

	public City(String name)
	{
		this.name = name;
		this.stations = new TreeSet<Station>();
	}

	public String getName()
	{
		return name;
	}

	public SortedSet<Station> getStations()
	{
		return stations;
	}

}
