package trains.persistence.binary;

import java.util.Map;
import java.util.SortedSet;

import trains.model.City;
import trains.model.Station;

public interface CityStationsReader
{

	Map<String, SortedSet<Station>> getMap();

	SortedSet<Station> getStations(City city);

	SortedSet<Station> getStations(String city);

	City getCity(String station);

}
