package trains.persistence.text;

import java.io.IOException;
import java.io.Reader;
import java.util.List;

import trains.model.*;
import trains.persistence.BadFileFormatException;
import trains.persistence.binary.CityStationsReader;

public interface TrainReader
{
	public List<Train> readAll(Reader reader, CityStationsReader cities) throws IOException, BadFileFormatException;
}
